local M = {}

M.weapons = {
  rocket = "_coderart_rocket.png",
  machinegun = "_coderart_machinegun.png",
}

local anim8 = require 'anim8'

M.image, M.animation = nil, nil
M.walking = nil
M.x = 100

function M.loadSpritesheetTestExternal( name )
  -- M.image = love.graphics.newImage( 'professor_walk_cycle_no_hat.png' )
  -- local g = anim8.newGrid( 64, 64, M.image:getWidth(), M.image:getHeight() )
  M.image = love.graphics.newImage( 'professor_walk_cycle_no_hat_4x.png' )
  local g = anim8.newGrid( 4*64, 4*64, M.image:getWidth(), M.image:getHeight() )
  M.walking = anim8.newAnimation( g('2-9',1), 0.2 )
  M.animation = M.walking
end

function M.loadSpritesheetTestFlorian()
  -- M.image = love.graphics.newImage( 'professor_walk_cycle_no_hat.png' )
  -- local g = anim8.newGrid( 64, 64, M.image:getWidth(), M.image:getHeight() )
  M.image = love.graphics.newImage( 'Soldat-humain_x5.png' )
  local g = anim8.newGrid( 5*16, 5*16, M.image:getWidth(), M.image:getHeight() )
  M.walking = anim8.newAnimation( g( 1,1, 1,2 ), 0.2 )
  M.shooting = anim8.newAnimation( g( 1,3, 1,4 ), 0.2 )
  -- M.dying = anim8.newAnimation( g( 1,1, 2,1 ), 0.2 )
  M.animation = M.walking
end

function M.load()
  love.graphics.setDefaultFilter("nearest", "nearest", 0)
	--load_animation1()
  -- M.loadSpritesheetTestExternal( "player" )
	M.loadSpritesheetTestFlorian()
end

function M.update( dt )
	-- if love.keyboard.isDown("right") then
	-- 	animation = running
	-- 	x = x + 3
	-- else
	M.animation = M.walking
	-- end
	M.animation:update( dt )
end

function M.draw()
  M.animation:draw( M.image, M.x, 200 )
end

return M